; ========================================================================== ;
;                               = YM Player =                                ;
;                     Intellivision ROM by A.Chevallier                      ;
; -------------------------------------------------------------------------- ;
;                        arnauld.chevallier@gmail.com                        ;
; ========================================================================== ;

; -------------------------------------------------------------------------- ;
; System addresses                                                           ;
; -------------------------------------------------------------------------- ;
MOBX        EQU         $0000                   ; MOB registers
MOBY        EQU         $0008
MOBA        EQU         $0010
MOBC        EQU         $0018

CSTACK      EQU         $0028                   ; color stack
BORDER      EQU         $002C                   ; screen border color
HDELAY      EQU         $0030                   ; horizontal delay
VDELAY      EQU         $0031                   ; vertical delay
B_EXT       EQU         $0032                   ; border extension

VBLK0       EQU         $0100                   ; VBlank
VBLK1       EQU         $0101

PSG         STRUCT      $01F0                   ; PSG
@@PL_A      EQU         $ + $0
@@PL_B      EQU         $ + $1
@@PL_C      EQU         $ + $2
@@PL_E      EQU         $ + $3
@@PH_A      EQU         $ + $4
@@PH_B      EQU         $ + $5
@@PH_C      EQU         $ + $6
@@PH_E      EQU         $ + $7
@@MIX       EQU         $ + $8
@@NP        EQU         $ + $9
@@ENV       EQU         $ + $A
@@VOL_A     EQU         $ + $B
@@VOL_B     EQU         $ + $C
@@VOL_C     EQU         $ + $D
@@IO_R      EQU         $ + $E
@@IO_L      EQU         $ + $F
            ENDS

BT          EQU         $0200                   ; BackTab

RTN_INT     EQU         $1014                   ; EXEC : return from interrupt

GRAM        EQU         $3800                   ; GRAM

; -------------------------------------------------------------------------- ;
; Colors                                                                     ;
; -------------------------------------------------------------------------- ;
C_BLK       EQU         $0000                   ; Black
C_BLU       EQU         $0001                   ; Blue
C_RED       EQU         $0002                   ; Red
C_TAN       EQU         $0003                   ; Tan
C_DGR       EQU         $0004                   ; Dark Green
C_GRN       EQU         $0005                   ; Green
C_YEL       EQU         $0006                   ; Yellow
C_WHT       EQU         $0007                   ; White
C_GRY       EQU         $0008                   ; Grey
C_CYN       EQU         $0009                   ; Cyan
C_ORG       EQU         $000A                   ; Orange
C_BRN       EQU         $000B                   ; Brown
C_PNK       EQU         $000C                   ; Pink
C_LBL       EQU         $000D                   ; Light Blue
C_YGR       EQU         $000E                   ; Yellow-Green
C_PUR       EQU         $000F                   ; Purple

CX_BLK      EQU         $0000                   ; Black
CX_BLU      EQU         $0001                   ; Blue
CX_RED      EQU         $0002                   ; Red
CX_TAN      EQU         $0003                   ; Tan
CX_DGR      EQU         $0004                   ; Dark Green
CX_GRN      EQU         $0005                   ; Green
CX_YEL      EQU         $0006                   ; Yellow
CX_WHT      EQU         $0007                   ; White
CX_GRY      EQU         $1000                   ; Grey
CX_CYN      EQU         $1001                   ; Cyan
CX_ORG      EQU         $1002                   ; Orange
CX_BRN      EQU         $1003                   ; Brown
CX_PNK      EQU         $1004                   ; Pink
CX_LBL      EQU         $1005                   ; Light Blue
CX_YGR      EQU         $1006                   ; Yellow-Green
CX_PUR      EQU         $1007                   ; Purple

BG_BLK      EQU         $0000                   ; Black
BG_BLU      EQU         $0200                   ; Blue
BG_RED      EQU         $0400                   ; Red
BG_TAN      EQU         $0600                   ; Tan
BG_DGR      EQU         $2000                   ; Dark Green
BG_GRN      EQU         $2200                   ; Green
BG_YEL      EQU         $2400                   ; Yellow
BG_WHT      EQU         $2600                   ; White
BG_GRY      EQU         $1000                   ; Grey
BG_CYN      EQU         $1200                   ; Cyan
BG_ORG      EQU         $1400                   ; Orange
BG_BRN      EQU         $1600                   ; Brown
BG_PNK      EQU         $3000                   ; Pink
BG_LBL      EQU         $3200                   ; Light Blue
BG_YGR      EQU         $3400                   ; Yellow-Green
BG_PUR      EQU         $3600                   ; Purple
