<?php
  /* ======================================================================== */
  /*                               [ ymToIntv ]                               */
  /* ======================================================================== */
  /*  This program is free software: you can redistribute it and/or modify    */
  /*  it under the terms of the GNU General Public License as published by    */
  /*  the Free Software Foundation, either version 3 of the License, or       */
  /*  (at your option) any later version.                                     */
  /*                                                                          */
  /*  This program is distributed in the hope that it will be useful,         */
  /*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
  /*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
  /*  GNU General Public License for more details.                            */
  /*                                                                          */
  /*  You should have received a copy of the GNU General Public License       */
  /*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   */
  /* ======================================================================== */
  /*                Copyright (c)2011-2017, Arnauld Chevallier                */
  /*                       arnauld.chevallier@gmail.com                       */
  /* ======================================================================== */
  /*  LHA unpacker:                                                           */
  /*    lhasa by fragglet                                                     */
  /*    License: ISC                                                          */
  /*    Home: http://fragglet.github.io/lhasa/                                */
  /* ======================================================================== */
  require 'ymToIntv.class.php';

  ini_set('memory_limit', '128M');

  $ym = new ymToIntv(
    dirname(__FILE__).'/lhasa-0.3.0-win32/lha.exe',
    dirname(__FILE__).'/ym',
    dirname(__FILE__).'/asm',
    dirname(__FILE__).'/tmp',
    dirname(__FILE__).'/rom'
  );

  $example = array(
    array("BestPartOfTheCreation.ym", "Best part of the C.", "Gunnar Gaubatz"),
    array("ChambersOfShaolin.ym",     "Chambers of Shaolin", "Jochen Hippel"),
    array("Crapman1.ym",              "Crapman Anthems",     "Joe Maarten de Man"),
    array("CuddlyBigSprite.ym",       "Cuddly / Big Sprite", "Jochen Hippel"),
    array("Custodian1.ym",            "Custodian",           "David Whittaker"),
    array("DecadeGigadist.ym",        "DecadeGigadist",      "Nic Alderton"),
    array("Ghouls2.ym",               "Ghouls'n Ghosts",     "Tim Follin"),
    array("Hystanders2.ym",           "Hystanders 2",        "Doclands"),
    array("LeavingTeramis.ym",        "Leaving Teramis",     "Jochen Hippel"),
    array("LineOfFire.ym",            "Line of Fire",        "Tao"),
    array("Primus.ym",                "Primus",              "Scavenger"),
    array("RectangularWaves.ym",      "Rectangular Waves",   "Nils Feske"),
    array("RTypeIntro.ym",            "R-Type intro",        "Wally Beben"),
    array("SharpnessBuzztone.ym",     "Sharpness Buzztone",  "J-S Gerard"),
    array("VirtualEscapeMain.ym",     "Virtual Escape",      "Furax"),
    array("Zynaps1.ym",               "Zynaps #1",           "Dave Rogers")
  );

  foreach($example as $data) {
    list($ymFile, $title, $author) = $data;
    $ym->process($ymFile, $title, $author, true);
  }
?>
